<?
/************************************************************************/
/* NPDS : Nuke Permanent Double-Side Web Portal System                  */
/* ===========================                                          */
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/************************************************************************/
/* NPDS : Overload and Cache MODE for NPDS                              */
/* ========================================                             */
/*                                                                      */
/* Philippe Brunier                                                     */
/* Best include in NPDS  (Nuke Permanent Double Side Web Portal System) */
/*                                                                      */
/************************************************************************/

if(!isset($mainfile)) { include("mainfile.php"); }
// P. Brunier Permanent double-side theme
global $pdst;
$pdst="1";

function opentableL() {
   echo "<table width=100% cellpadding=2 cellspacing=0 border=1>";
}

function save_overload($xoverload, $xmax_cnx, $xrefresh_time, $xsentence) {
    $line = "######################################################################\n";
    $content = "<?PHP\n\n";
    $content .= "$line";
    $content .= "# NPDS : Nuke Permanent Double-Side Web Portal System\n";
    $content .= "#        Based on PHP-NUKE Web Portal System\n";
    $content .= "# ===================================================\n";
    $content .= "#\n";
    $content .= "#\n";
    $content .= "# Original Copyright (c) 2000 by Francisco Burzi (fburzi@ncc.org.ve)\n";
    $content .= "# http://phpnuke.org\n";
    $content .= "#\n";
    $content .= "# This version name NPDS Copyright (c) 2001 by Philippe Brunier\n";
    $content .= "#\n";
    $content .= "# This module is to configure the Overload Mode for your site\n";
    $content .= "#\n";
    $content .= "# This program is free software. You can redistribute it and/or modify\n";
    $content .= "# it under the terms of the GNU General Public License as published by\n";
    $content .= "# the Free Software Foundation; either version 2 of the License.\n";
    $content .= "$line";
    $content .= "\n";
    if (($xoverload==true) or ($xoverload==false)) {
       $content .= "\$overload = $xoverload;\n";
       if ($xmax_cnx>0) {
          $content .= "\$max_cnx = \"$xmax_cnx\";\n";
          if ($xrefresh_time>0){
             $content .= "\$refresh_time = \"$xrefresh_time\";\n";
             $content .= "\$sentence = \"$xsentence\";\n";
             $content .= "\n";
             $content .= "?>";
             $file = fopen("overload.conf.php", "w");
             fwrite($file, $content);
             fclose($file);
          }
       }
    }
    Header("Location: admin.php?op=overload");
}

function save_supercache($xsupercache, $xt_index, $xt_sections, $xt_faq, $xt_links, $xt_forum, $xt_memberlist, $xt_sdv, $xt_categories) {
    $line = "######################################################################\n";
    $content = "<?PHP\n\n";
    $content .= "$line";
    $content .= "# NPDS : Nuke Permanent Double-Side Web Portal System\n";
    $content .= "#        Based on PHP-NUKE Web Portal System\n";
    $content .= "# ===================================================\n";
    $content .= "#\n";
    $content .= "#\n";
    $content .= "# Original Copyright (c) 2000 by Francisco Burzi (fburzi@ncc.org.ve)\n";
    $content .= "# http://phpnuke.org\n";
    $content .= "#\n";
    $content .= "# This version name NPDS Copyright (c) 2001 by Philippe Brunier\n";
    $content .= "#\n";
    $content .= "# This module is to configure the SuperCache Mode for your site\n";
    $content .= "#\n";
    $content .= "# Original Autor: Francisco Echarte [patxi@eslomas.com]\n";
    $content .= "# Fecha: 2001-08-23\n";
    $content .= "# Version: 0.2\n";
    $content .= "#\n";
    $content .= "# This program is free software. You can redistribute it and/or modify\n";
    $content .= "# it under the terms of the GNU General Public License as published by\n";
    $content .= "# the Free Software Foundation; either version 2 of the License.\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "#\$CACHE_TIMINGS['index.php'] = 300;  // 5 minutes\n";
    $content .= "#\$CACHE_QUERYS['index.php']  = \"^\";  // Query_String for this page : \"\" = All\n";
    $content .= "\n";
    $content .= "#\$CACHE_QUERYS['lasmas.php']  = \"^lmopc=(visitadas|modificadas|valoradas|comentadas)\"\;\n";
    $content .= "#\$CACHE_QUERYS['section.php'] = \"^offset=(10|20|30)&cat=[0-9]{1,2}\"\;\n";
    $content .= "#\$CACHE_QUERYS['sdv.php']     = \"^sdv=|op=(Default|Detail|Infos)\"\;\n";
    $content .= "#\$CACHE_QUERYS['news.php']    = \"^idn=[0-9]{1,2}\"\;\n";
    $content .= "\n";
    $content .= "\$SuperCache = $xsupercache;\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['index.php'] = $xt_index;\n";
    $content .= "\$CACHE_QUERYS['index.php'] = \"^\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['sections.php'] = $xt_sections;\n";
    $content .= "\$CACHE_QUERYS['sections.php'] = \"^op\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['faq.php'] = $xt_faq;\n";
    $content .= "\$CACHE_QUERYS['faq.php'] = \"^myfaq\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['links.php'] = $xt_links;\n";
    $content .= "\$CACHE_QUERYS['links.php'] = \"^\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['forum.php'] = $xt_forum;\n";
    $content .= "\$CACHE_QUERYS['forum.php'] = \"^\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['memberslist.php'] = $xt_memberlist;\n";
    $content .= "\$CACHE_QUERYS['memberslist.php'] = \"^\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['sdv.php'] = $xt_sdv;\n";
    $content .= "\$CACHE_QUERYS['sdv.php'] = \"^sdv=|op=(Default|Detail|Infos)\";\n";
    $content .= "\n";
    $content .= "\$CACHE_TIMINGS['categories.php'] = $xt_categories;\n";
    $content .= "\$CACHE_QUERYS['categories.php'] = \"^\";\n";
    $content .= "\n";
    $content .= "\n";
    $content .= "?>";
    $file = fopen("cache.timings.php", "w");
    fwrite($file, $content);
    fclose($file);
    Header("Location: admin.php?op=overload");
}


function main() {
   global $bgcolor4;

   include("header.php");
   include("overload.conf.php");
   opentable();
   echo "<font face=\"$site_font\" size=2><b>".translate("Overload Mode")." - Administration</b>";
   closetable();

   opentable();
   opentableL();
   echo "<form action=\"admin.php\" method=post>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>".translate("Overload Mode")."</td><td>";
   if ($overload==true) {
        echo "<input type=radio name=\"xoverload\" value=true checked>".translate("Yes")."&nbsp;
        <input type=radio name=\"xoverload\" value=false>".translate("No");
    } else {
        echo "<input type=radio name=\"xoverload\" value=true>".translate("Yes")."&nbsp;
        <input type=radio name=\"xoverload\" value=false checked>".translate("No");
    }
   echo "</td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>".translate("Maximun User before activate Overload")."</td><td><input type=text name=\"xmax_cnx\" value=\"$max_cnx\" size=5 maxlength=4></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>".translate("Timeout for refreshing session")."</td><td><input type=text name=\"xrefresh_time\" value=\"$refresh_time\" size=4 maxlength=3> (secondes)</td>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td colspan=2 align=center><textarea class=textbox cols=34 rows=10 name=xsentence>$sentence</textarea></td>";
   echo "</td></tr></table><br>";
   echo "<input type=submit value=\"".translate("Submit")."\"> - ";
   echo "<font face=\"$site_font\" size=1>[ <a href=admin.php>".translate("Go Back")."</a> ]</font>";
   echo "<input type=hidden name=op value=overload_save>";
   echo "</form>";
   closetable();


   opentable();
   echo "<font face=\"$site_font\" size=2><b>SuperCache - Administration</b>";
   closetable();

   include("cache.timings.php");

   opentable();
   opentableL();
   echo "<form action=\"admin.php\" method=post>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>SuperCache</td><td>";
   if ($SuperCache==true) {
        echo "<input type=radio name=\"xsupercache\" value=true checked>".translate("Yes")."&nbsp;
        <input type=radio name=\"xsupercache\" value=false>".translate("No");
    } else {
        echo "<input type=radio name=\"xsupercache\" value=true>".translate("Yes")."&nbsp;
        <input type=radio name=\"xsupercache\" value=false checked>".translate("No");
    }

   if (($CACHE_TIMINGS['index.php']=="") or (!isset($CACHE_TIMINGS['index.php'])))             {$CACHE_TIMINGS['index.php']=300;}
   if (($CACHE_TIMINGS['sections.php']=="") or (!isset($CACHE_TIMINGS['sections.php'])))       {$CACHE_TIMINGS['sections.php']=300;}
   if (($CACHE_TIMINGS['faq.php']=="") or (!isset($CACHE_TIMINGS['faq.php'])))                 {$CACHE_TIMINGS['faq.php']=86400;}
   if (($CACHE_TIMINGS['links.php']=="") or (!isset($CACHE_TIMINGS['links.php'])))             {$CACHE_TIMINGS['links.php']=28800;}
   if (($CACHE_TIMINGS['forum.php']=="") or (!isset($CACHE_TIMINGS['forum.php'])))             {$CACHE_TIMINGS['forum.php']=3600;}
   if (($CACHE_TIMINGS['memberslist.php']=="") or (!isset($CACHE_TIMINGS['memberslist.php']))) {$CACHE_TIMINGS['memberslist.php']=1800;}
   if (($CACHE_TIMINGS['sdv.php']=="") or (!isset($CACHE_TIMINGS['sdv.php'])))                 {$CACHE_TIMINGS['sdv.php']=1800;}
   if (($CACHE_TIMINGS['categories.php']=="") or (!isset($CACHE_TIMINGS['categories.php'])))   {$CACHE_TIMINGS['categories.php']=300;}

   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>index.php</td><td><input type=text name=\"xt_index\" value=".$CACHE_TIMINGS['index.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>300</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>sections.php</td><td><input type=text name=\"xt_sections\" value=".$CACHE_TIMINGS['sections.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>300</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>faq.php</td><td><input type=text name=\"xt_faq\" value=".$CACHE_TIMINGS['faq.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>86400</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>links.php</td><td><input type=text name=\"xt_links\" value=".$CACHE_TIMINGS['links.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>28800</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>forum.php</td><td><input type=text name=\"xt_forum\" value=".$CACHE_TIMINGS['forum.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>3600</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>memberlist.php</td><td><input type=text name=\"xt_memberlist\" value=".$CACHE_TIMINGS['memberslist.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>1800</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>sdv.php</td><td><input type=text name=\"xt_sdv\" value=".$CACHE_TIMINGS['sdv.php']." size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>1800</b></font></td></tr>";
   echo "<tr bgcolor=$bgcolor4>";
   echo "<td width=40%>categories.php</td><td><input type=text name=\"xt_categories\" value=\"".$CACHE_TIMINGS['categories.php']."\" size=7 maxlength=6><font size=1> ".translate("retention in seconds")." - Def : <b>300</b></font></td></tr>";
   echo "</td></tr>";
   echo "</td></tr></table><br>";
   echo "<input type=submit value=\"".translate("Submit")."\"> - ";
   echo "<font face=\"$site_font\" size=1>[ <a href=admin.php>".translate("Go Back")."</a> ]</font>";
   echo "<input type=hidden name=op value=supercache_save>";
   echo "</form>";
   closetable();

   include("footer.php");
}


$result = mysql_query("select radminsuper from authors where aid='$aid'");
list($radminsuper) = mysql_fetch_row($result);
if ($radminsuper==1) {

   switch($op) {

      case "overload_save":
         save_overload($xoverload, $xmax_cnx, $xrefresh_time, $xsentence);
         break;

      case "supercache_save":
         save_supercache($xsupercache, $xt_index, $xt_sections, $xt_faq, $xt_links, $xt_forum, $xt_memberlist, $xt_sdv, $xt_categories);
         break;

      default:
         main();
         break;
   }

} else {
   echo "Access Denied";
}

?>