<?php
/************************************************************************/
/* NPDS : Nuke Permanent Double-Side Web Portal System                  */
/* ===========================                                          */
/*                                                                      */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/************************************************************************/
/* NPDS: SuperCache Addon                                               */
/* ========================================                             */
/*  Archivo: cache.config.php                                           */
/*  Autor: Francisco Echarte [patxi@eslomas.com]                        */
/*  Fecha: 2001-08-23                                                   */
/*  Version: 0.2                                                        */
/*                                                                      */
/* Intgration dans NPDS                                                */
/* Philippe Brunier                                                     */
/* Best include in NPDS  (Nuke Permanent Double Side Web Portal System) */
/*                                                                      */
/************************************************************************/
// Be sure that apache user have the permission to Read/Write/Delete in the Dir
$CACHE_CONFIG['data_dir'] = 'cache/';

// How the Auto_Cleanup process is run
// 0 no cleanup - 1 auto_cleanup
$CACHE_CONFIG['run_cleanup']  = 1;

// value between 1 and 100. The most important is the value, the most "probabilidad", cleanup process as chance to be runed
$CACHE_CONFIG['cleanup_freq'] = 75;

// maximum age - 24 Hours
$CACHE_CONFIG['max_age'] = 86400;

// Gzip compress process
// 0 no - 1 Yes
$CACHE_CONFIG['compress_output'] = 0;

// 1 to x (level off compression)
$CACHE_CONFIG['compress_level']  = 0;

// 0 no - 1 Yes - if client' navigator is gzip compliant, send gzip page
$CACHE_CONFIG['return_compressed'] = 0;

// Instant Stats
// 0 no - 1 Yes
$CACHE_CONFIG['save_stats'] = 1;

// Terminate send http process after sending cache page
// 0 no - 1 Yes
$CACHE_CONFIG['exit'] = 0;

?>